multiple php versions ispconfig 3

Discussion in 'Installation/Configuration' started by mst, Nov 12, 2014.

  1. mst

    mst New Member

    Hi all, i have been reading this board and its tuts now for 2 weeks without needing to post as everything i have found has been top notch, i have a couple of questions that have me stumped completely.

    my ispconfig is installed using dcarly? auto install (sorry if i spelt wrong) on ubuntu 12.04 lts

    Everythings fine all works great,but this is where im stuck

    1 i want to add multiple php versions and select them by the users ie 5.3 5.4 5.5 and so on

    2 Currently the default is php, PHP Version 5.5.9-1ubuntu4.5

    So i have followed this to the exact tut, apart from using 5.3.22 i used 5.3.29 thats the only difference,

    Now i set this in IPSconfig "additional php versions"

    Path to the PHP-FPM init script = /etc/init.d/php-5.3.29-fpm
    Path to the php.ini directory = /opt/php-5.3.29/lib
    Path to the PHP-FPM pool directory = /opt/php-5.3.29/etc/pool.d

    i have tried set user within that addition and without user

    now i goto user make site etc choose php fpm i have 2 boxes "default" and 5.3.29 < i select the 5.3.29 and a file within the index dir nav to the page/ and seem to get the default php (PHP Version 5.5.9-1ubuntu4.5)

    why isnt it selecting my selected php??

    any help and advice will be greatly appreciated as i cant seem to find a specific problem like the one im getting


    everything goes well

Share This Page